Skip to main content
GET
/
api
/
v2.1
/
fintrans
/
{accountId}
/
allowed-operations
Get allowed operations
curl --request GET \
  --url https://sandbox.finhub.cloud/api/v2.1/fintrans/{accountId}/allowed-operations \
  --header 'X-Forwarded-For: <x-forwarded-for>' \
  --header 'X-Forwarded-From: <x-forwarded-from>' \
  --header 'X-Tenant-ID: <x-tenant-id>' \
  --header 'deviceId: <deviceid>' \
  --header 'platform: <platform>'
import requests

url = "https://sandbox.finhub.cloud/api/v2.1/fintrans/{accountId}/allowed-operations"

headers = {
"X-Tenant-ID": "<x-tenant-id>",
"X-Forwarded-For": "<x-forwarded-for>",
"X-Forwarded-From": "<x-forwarded-from>",
"platform": "<platform>",
"deviceId": "<deviceid>"
}

response = requests.get(url, headers=headers)

print(response.text)
const options = {
method: 'GET',
headers: {
'X-Tenant-ID': '<x-tenant-id>',
'X-Forwarded-For': '<x-forwarded-for>',
'X-Forwarded-From': '<x-forwarded-from>',
platform: '<platform>',
deviceId: '<deviceid>'
}
};

fetch('https://sandbox.finhub.cloud/api/v2.1/fintrans/{accountId}/allowed-operations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


This endpoint requires X-Forwarded-From and a device header. The backend accepts any of: deviceId, X-Device-Id, device-id.

Sample cURL

curl --location 'https://sandbox.finhub.cloud/api/v2.1/fintrans/28e09085-2167-4284-ad1a-239122af836f/allowed-operations?includeBeneficiaries=true&includeConsents=true' \
  --header 'Authorization: Bearer <ACCESS_TOKEN>' \
  --header 'X-Tenant-ID: <TENANT_ID>' \
  --header 'Content-Type: application/json' \
  --header 'Accept: application/json' \
  --header 'User-Agent: <USER_AGENT>' \
  --header 'X-Forwarded-From: <FORWARDED_FROM>' \
  --header 'X-Forwarded-For: <FORWARDED_FOR>' \
  --header 'platform: Web' \
  --header 'deviceId: <DEVICE_ID>' \

Missing Headers Error Example

{
  "code": 500,
  "data": {
    "deviceId_accepted": [
      "deviceId",
      "X-Device-Id",
      "device-id"
    ],
    "missingHeaders": [
      "X-Forwarded-From",
      "deviceId"
    ]
  },
  "message": "Missing required header(s)"
}

Response Example

{
  "code": 200,
  "data": {
    "sessionId": "e76cfef8-1897-45a3-b9c1-3e90ffb3fae0",
    "tenantId": "97e7ff29-15f3-49ef-9681-3bbfcce4f6cd",
    "time": "2026-04-01T13:10:16.455800933",
    "accounts": [
      {
        "id": "28e09085-2167-4284-ad1a-239122af836f",
        "type": "CONSUMER_WALLET",
        "iban": "LT803320011000055865",
        "currency": "EUR",
        "balance": 0,
        "flags": {},
        "ownerId": "7d1d49db-bf39-4123-94d8-c03a1e6b4d4a",
        "assetId": "aeee88d3-bc7b-4f47-8850-8183bd9eb9b0",
        "assetSubUnitId": "dd35508b-7529-49b8-ae56-fafd523f953f"
      }
    ],
    "beneficiaries": [
      {
        "id": "03337653-7f7e-49af-a9fa-9ea444132510",
        "assetId": "03337653-7f7e-49af-a9fa-9ea444132510",
        "assetSubUnitId": "dd35508b-7529-49b8-ae56-fafd523f953f",
        "kind": "EXTERNAL",
        "walletId": "28e09085-2167-4284-ad1a-239122af836f",
        "currencyHints": [
          "EUR"
        ],
        "allowedOperationTypes": [],
        "beneficiaryId": "ba77dbdb-a1f4-48d0-bb50-a44123ffc9b2",
        "iban": "LT203320011000000006",
        "currency": "EUR",
        "partyType": "INDIVIDUAL_CUSTOMER",
        "status": "",
        "name": "",
        "assetSubUnitName": "European Monetary Unit"
      }
    ],
    "operations": [
      {
        "fromAccountId": "28e09085-2167-4284-ad1a-239122af836f",
        "fromAssetId": "aeee88d3-bc7b-4f47-8850-8183bd9eb9b0",
        "fromAssetSubUnitId": "dd35508b-7529-49b8-ae56-fafd523f953f",
        "toRefId": "03337653-7f7e-49af-a9fa-9ea444132510",
        "toAssetSubUnitId": "dd35508b-7529-49b8-ae56-fafd523f953f",
        "beneficiaryId": "ba77dbdb-a1f4-48d0-bb50-a44123ffc9b2",
        "opType": "PURCHASE",
        "currencies": [
          "EUR"
        ],
        "perTxnLimit": 50000,
        "requiresConsent": true
      }
    ],
    "limits": {
      "perTxn": {
        "EUR": 50000
      },
      "daily": {
        "EUR": 200000
      },
      "monthly": {
        "EUR": 1000000
      }
    },
    "fees": {
      "model": "SEPARATE_FEE_TRANSFER",
      "rules": {},
      "flags": {
        "feeChannel": "SEPARATE"
      }
    },
    "consentModel": {
      "requireConsent": true,
      "expiryMinutes": 30,
      "scope": "PAYMENT"
    },
    "snapshotId": "e76cfef8-1897-45a3-b9c1-3e90ffb3fae0",
    "hasBeneficiaries": true,
    "beneficiaryCount": 8
  },
  "message": "Success"
}

Headers

X-Tenant-ID
string
required
X-Forwarded-For
string
required

Client IP address

Example:

"127.0.0.1"

X-Forwarded-From
string
required

Client source identifier

Example:

"client-app"

platform
string
required

Client platform

Example:

"Web"

deviceId
string
required

Device identifier

Example:

"device-demo-001"

Path Parameters

accountId
string
required

Query Parameters

includeBeneficiaries
boolean
default:true
includeConsents
boolean
default:true

Response

200

OK